# OpaqueDependency

Represents a dependency that could not be understood as an externally exposed dependency.  If this is an unexpected dependency, then please contact support.
## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **dependency_type** | **str** | Required | Available values: OpaqueDependency, CashDependency, DiscountingDependency, EquityCurveDependency, EquityVolDependency, FxDependency, FxForwardsDependency, FxVolDependency, IndexProjectionDependency, IrVolDependency, QuoteDependency, Vendor, CalendarDependency, InflationFixingDependency. |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.lusid.models.OpaqueDependency import OpaqueDependency

instance = OpaqueDependency(
    dependency_type="..."  # required — Available values: OpaqueDependency, CashDependency, DiscountingDependency, EquityCurveDependency, EquityVolDependency, FxDependency, FxForwardsDependency, FxVolDependency, IndexProjectionDependency, IrVolDependency, QuoteDependency, Vendor, CalendarDependency, InflationFixingDependency.
)
```



[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

